Bug 1283616 - [abrt] xorg-x11-server-Xwayland: intel_miptree_release(): Xwayland killed by SIGSEGV
[abrt] xorg-x11-server-Xwayland: intel_miptree_release(): Xwayland killed by ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:b1b256d95e3500ef90db90fc8a2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-19 07:32 EST by Kamil Páral
Modified: 2016-12-20 11:05 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:05:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (34.63 KB, text/plain)
2015-11-19 07:32 EST, Kamil Páral
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-19 07:32 EST, Kamil Páral
no flags Details
File: core_backtrace (13.40 KB, text/plain)
2015-11-19 07:32 EST, Kamil Páral
no flags Details
File: dso_list (6.13 KB, text/plain)
2015-11-19 07:32 EST, Kamil Páral
no flags Details
File: environ (908 bytes, text/plain)
2015-11-19 07:32 EST, Kamil Páral
no flags Details
File: exploitable (82 bytes, text/plain)
2015-11-19 07:32 EST, Kamil Páral
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-19 07:32 EST, Kamil Páral
no flags Details
File: maps (40.38 KB, text/plain)
2015-11-19 07:32 EST, Kamil Páral
no flags Details
File: mountinfo (3.79 KB, text/plain)
2015-11-19 07:32 EST, Kamil Páral
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-19 07:32 EST, Kamil Páral
no flags Details
File: open_fds (1.52 KB, text/plain)
2015-11-19 07:32 EST, Kamil Páral
no flags Details
File: proc_pid_status (1020 bytes, text/plain)
2015-11-19 07:32 EST, Kamil Páral
no flags Details

  None (edit)
Description Kamil Páral 2015-11-19 07:32:37 EST
Description of problem:
I tried to change monitor resolution, the whole desktop froze. I tried to switch to TTY3, when I switched back, I was back in GDM, no session, and abrt reported this crash (and it seems some intel driver crashes).

Version-Release number of selected component:
xorg-x11-server-Xwayland-1.18.0-2.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 3
cmdline:        /usr/bin/Xwayland :0 -rootless -noreset -listen 4 -listen 5 -displayfd 6
crash_function: intel_miptree_release
executable:     /usr/bin/Xwayland
global_pid:     2032
kernel:         4.2.6-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #23 intel_miptree_release at intel_mipmap_tree.c:942
 #24 intel_miptree_unmap_blit at intel_mipmap_tree.c:2213
 #25 intel_miptree_unmap at intel_mipmap_tree.c:2738
 #26 intel_unmap_renderbuffer at intel_fbo.c:232
 #27 read_rgba_pixels at main/readpix.c:622
 #28 _mesa_readpixels at main/readpix.c:895
 #29 intelReadPixels at intel_pixel_read.c:280
 #30 _mesa_ReadnPixelsARB at main/readpix.c:1120
 #31 _mesa_ReadPixels at main/readpix.c:1128
 #32 glamor_download_boxes at glamor_transfer.c:210
Comment 1 Kamil Páral 2015-11-19 07:32:42 EST
Created attachment 1096656 [details]
File: backtrace
Comment 2 Kamil Páral 2015-11-19 07:32:43 EST
Created attachment 1096657 [details]
File: cgroup
Comment 3 Kamil Páral 2015-11-19 07:32:45 EST
Created attachment 1096658 [details]
File: core_backtrace
Comment 4 Kamil Páral 2015-11-19 07:32:46 EST
Created attachment 1096659 [details]
File: dso_list
Comment 5 Kamil Páral 2015-11-19 07:32:48 EST
Created attachment 1096660 [details]
File: environ
Comment 6 Kamil Páral 2015-11-19 07:32:49 EST
Created attachment 1096661 [details]
File: exploitable
Comment 7 Kamil Páral 2015-11-19 07:32:51 EST
Created attachment 1096662 [details]
File: limits
Comment 8 Kamil Páral 2015-11-19 07:32:53 EST
Created attachment 1096663 [details]
File: maps
Comment 9 Kamil Páral 2015-11-19 07:32:54 EST
Created attachment 1096664 [details]
File: mountinfo
Comment 10 Kamil Páral 2015-11-19 07:32:56 EST
Created attachment 1096665 [details]
File: namespaces
Comment 11 Kamil Páral 2015-11-19 07:32:57 EST
Created attachment 1096666 [details]
File: open_fds
Comment 12 Kamil Páral 2015-11-19 07:32:59 EST
Created attachment 1096667 [details]
File: proc_pid_status
Comment 13 Fedora End Of Life 2016-11-24 08:34:48 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2016-12-20 11:05:28 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.